Package plugins :: Package vfs :: Package fileinfo :: Module main :: Class XYZPlugin

[hide private]
[frames] | no frames]

# Class XYZPlugin

source code

    libxyz.core.plugins.BasePlugin --+
                                     |
                                    XYZPlugin

Plugin fileinfo

Instance Methods | [hide private]

__init__(self, xyz) | source code

fileinfo(self) Show VFS object info | source code

Class Variables | [hide private]

| NAME = `u"fileinfo"`
| AUTHOR = `u"Max E. Kuznecov"`
| VERSION = `u"0.1"`
| BRIEF_DESCRIPTION = `u"Show VFS object information"`
| FULL_DESCRIPTION = `u"Show detailed information provided by VFS`...``
| NAMESPACE = `u"vfs"`
| MIN_XYZ_VERSION = `None`
| DOC = `None`
| HOMEPAGE = `u"xyzcmd.syhpoon.name"`
| EVENTS = `[("fileinfo", "Event is fired upon showing file-info `...``

Class Variable Details | [hide private]

### FULL_DESCRIPTION

Value:

      u"Show detailed information provided by VFS layer"

### EVENTS

Value:

      [("fileinfo", "Event is fired upon showing file-info dialog.\n" "Argum
      ents: Currently selected VFSObject instance"),]